{div width:500px|float:right}

{/div}

gantry5

L'équipe de RocketTheme a travaillé d'arrache-pied pour créer Gantry5, La plus grande et la plus importante mise à jour du populaire framework Wordpress et Joomla depuis son lancement initial en 2009.

Gantry est un framewok gratuit et puissant, qui permet un développement rapide des templates et des thèmes pour WordPress et Joomla en proposant un processus plus simple et efficace.

Alors que nous n'avons pas encore de date de sortie précise à vous fournir, Nous avons quelques détails disponibles qui répondront à quelques-unes des questions les plus fréquentes que nous ayons reçues sur la mise à jour à venir.

Dans cet article, nous allons jeter un coup d'oeil aux exigences de Gantry5, et nous allons explorer certains détails supplémentaires arrivant avec cette mise à jour.

Quelles sont les exigences de Gantry5 ?

Gantry5 a été construit en pensant à l'avenir, ce qui fait que les exigences pour cette édition de Gantry vont être beaucoup plus restrictives que dans les versions précédentes. Ces exigences sont les suivantes :

  • WordPress 4+

  • Joomla 3.4+

  • PHP 5.4+

  • Dernières versions de Chrome/Firefox/Safari/Opera, IE9 (limité), et IE10+

Gantry5 tirera profit des dernières fonctionnalités que WordPress et Joomla ont à offrir.

En outre, nous pensons qu'en exigeant PHP 5.4+, nous nous assurons que les templates et les thèmes basées sur le cadre sont rapides et efficaces. Les améliorations apportées par PHP 5.4 fournissent cet avantage, ainsi qu'une base de code plus propre avec laquelle il sera plus facile de travailler.

À la fois Joomla et WordPress ont présenté des améliorations évidente de vitesse sur PHP 5.4+, tout en restant compatible sur les anciennes versions. Avec pratiquement tous les hébergeurs supportant 5.4, et PHP 5.3 n'étant plus prise en charge après Juillet 2014, cette mise à jour prend tout son sens.

Notre but ici était de s'assurer que le Gantry5 soit construit pour les dernières versions de WordPress et Joomla lors de sa sortie initiale. Si une version plus récente de chaque plate-forme devenait stable avant le lancement de Gantry5, ces exigences pourraient changer.

Gantry5 sera-t-il rétro-Compatible ?

En bref, la réponse à cette question est non. Gantry5 est une mise à jour majeure pour le framework, avec pratiquement tous les aspects de celui-ci de modifiés d'une manière ou d'une autre.

Gantry5 est développé pour le Web moderne. Beaucoup de choses ont changé depuis la version initiale du framework, et nous voulons être en mesure de faire cette nouvelle version, propre, efficace et aussi facile à utiliser que possible.

Un template construit sur Gantry5 aura l'avantage d'être créé pour un nouvel ensemble d'outils et de fonctionnalités qui ne seraient pas possibles sur le framework existant.

Cela ne signifie pas que nous ne continuerons pas à soutenir et à mettre à jour le framework version 4 et tous les produits que nous avons créés pour fonctionner sur cette plateforme. Nous nous engageons à continuer à les soutenir tant que les gens voudront s'en servir.

Que pouvons-nous attendre de Gantry5 ?

Gantry5 sera notre version plus rapide et plus fiable à ce jour. Le framework est construit de bas en haut avec le Web modern à l'esprit, laissant place aux technologies futures tout en se débarrassant du poids des vieilles normes périmées.

La flexibilité est un domaine d'une importance clé pour nous. Inspirés par les retours de notre communauté, nous avons conçu l'interface des paramètres pour faire un développement rapide du template et une personnalisation aussi facile que possible.

Nous travaillons également à rendre Gantry5 plus conviviales pour l'utilisateur final. Avec de nouveaux Paramètres de pages drag-and-drop et une documentation détaillée dès la première journée, il sera plus facile que jamais d'apporter des modifications à un template existant, même si vous avez peu ou pas d'expérience en développement Web.

Notre objectif principal porte sur la vitesse. Gantry5 va encore être la version la plus rapide du framework. Ceci sera accompli à travers les éxigences de mise à jour serveur/plateforme qui réduisent au minimum la nécessité d'une encombrante retro-compatibilité, une base de code simplifié et beaucoup d'autres améliorations mineures.

RocketTheme cessera-t-il le support de Gantry 4 et/ou des produits existants ?

Non. RocketTheme est dédié à continuer à prendre en charge le support les deux frameworks en version 4 et tous les produits construits pour le framework.

Cela inclut la mise à jour des RocketLaunchers pour la dernière version de Joomla ou WordPress et les mises à jour régulièrement demandées par notre communauté.

Gantry version 4 continuera à recevoir un soutien complet par notre équipe dans un avenir prévisible, et tirera avantage de tout travail de développement compatible à Gantry5.

Gantry5 aura-t-il la même licence que les Versions précédentes ?

Oui! Toutes les versions de Framework Gantry continueront d'exister sous la même licence GPL comme cela avait été décidé dés son lancement.

N'oubliez pas de consulter le blog de RocketTheme régulièrement pour les mises à jour supplémentaires et des aperçus de Gantry5, ainsi que web54 pour des nouvelles en français.

(traduction libre de http://www.rockettheme.com/blog/team/134-gantry5-requirements-and-details)

Sous-catégories

Découvrez comment configurer votre site propulsé par Gantry avec facilité.

Découvrez les particules Gantry 5, et comment cela fonctionne dans le gestionnaire de mise en page pour rendre la création de la mise en page de votre site rapide et facile.

 

Comprenant certaines options de configuration et de personnalisation avancées pour Gantry 5.